@extends('layouts.app')

@section('content')

<div>

    <div class="subHeader">
        <div class="container">


            <div class="row">
                <div class="col-sm-8 col-xs-8 col-lg-8 col-md-8">


                    @include('layouts.menu')

                </div>

                <div class="col-sm-4 col-xs-4 col-md-4 col-lg-4">

            </div>

        </div>
    </div>
</div>


<div class="contentOutput">





<!-- Dashboard display -->


<div class="container">
    <div class="row">
        <div class="col-sm-12">
            <ol class="breadcrumb">
                <!-- <li><a href="{{url('home')}}">Screens</a> -->
                <li><a href="#">Dashboard</a>

                </li>
                <!-- <li class="active">View Content</li> -->
            </ol>
        </div>

        <div class="col-sm-12">
            <h2>
                Dashboard
            </h2>
        </div>
    </div>
</div>



<div class="container">
    <div class="row">
        <div class="col-sm-12">
            

            <div class="dashDisplay">
                

                <div class="row">
                    <div class="col-md-4 col-xs-4 col-lg-4 col-sm-4">
                        <div class="dashContainer">
                            <div class="row">
                                <div class="col-md-5 col-xs-5 col-sm-5 col-lg-5">
                                    <div class="dashIcon text-center">
                                        <span class="fa-stack fa-lg">
                                          <i style="color: #1c4ca1; "class="fa fa-circle fa-stack-2x"></i>
                                          <i class="fa fa-television fa-stack-1x fa-inverse"></i>
                                        </span>
                                    </div>
                                </div>

                                <div class="col-md-7 col-sm-7 col-xs-7 col-lg-7">
                                    <div class="dConData text-center">
                                        <h1>{{$devices}}</h1>
                                        <h4>Total Screens</h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>



                    <div class="col-md-4 col-xs-4 col-lg-4 col-sm-4">
                        <div class="dashContainer">
                            <div class="row">
                                <div class="col-md-4 col-xs-4 col-sm-4 col-lg-4">
                                    <div class="dashIcon text-center">
                                        <span class="fa-stack fa-lg">
                                          <i style="color: #26c180; " class="fa fa-circle fa-stack-2x"></i>
                                          <i class="fa fa-flash fa-stack-1x fa-inverse"></i>
                                        </span>
                                    </div>
                                </div>

                                <div class="col-md-8 col-sm-8 col-xs-8 col-lg-8">
                                    <div class="dConData text-center">
                                        <h1>{{ $online }}</h1>
                                        <h4>Screens Online <span class="badge"><abbr title="Still in the early development stages">&beta;eta</abbr></span></h4>
                                        <p>
                                            Last updated 1 minute ago
                                        </p>
                                    </div>
                                </div>
                              
                            </div>
                        </div>
                    </div>


                    <div class="col-md-4 col-xs-4 col-lg-4 col-sm-4">
                        <div class="dashContainer">
                            <div class="row">
                                <div class="col-md-4 col-xs-4 col-sm-4 col-lg-4">
                                    <div class="dashIcon text-center">
                                        <span class="fa-stack fa-lg">
                                          <i style="color: #f63440; " class="fa fa-circle fa-stack-2x"></i>
                                          <i class="fa fa-power-off fa-stack-1x fa-inverse"></i>
                                        </span>
                                    </div>
                                </div>

                                <div class="col-md-8 col-sm-8 col-xs-8 col-lg-8">
                                    <div class="dConData text-center">
                                        <h1>{{ $offline }}</h1>
                                        <h4>Screens Offline <span class="badge"><abbr title="Still in the early development stages">&beta;eta</abbr></span></h4>
                                        <p>
                                            Last updated 1 minute ago
                                        </p>
                                    </div>
                                </div>
                           
                            </div>
                        </div>
                    </div>

                </div>
                
                <hr>

                <div class="row">
                    <div class="col-md-6 col-xs-6 col-lg-6 col-sm-6">
                        <div class="dashBreakdown">
                            <h1>Screens Online <span class="badge"><abbr title="Still in the early development stages">&beta;eta</abbr></span></h1>

                            <div style="max-height: 250px; overflow: scroll;">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th style="width: 50%;">Name</th>
                                            <th style="width: 30%;">Serial No.</th>
                                            <th style="width: 20%;">Status</th>
                                        </tr>
                                    </thead>

                                    <tbody>
                                        @foreach($online_devices as $online_device)
                                        <tr>
                                            <td><a href="/screen/{{ $online_device->device_id }}">{{ $online_device->name }}</a></td>
                                            <td>{{ $online_device->device->code }}</td>
                                            <td><span class="label label-success">Online</span></td>
                                        </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>


                    <div class="col-md-6 col-xs-6 col-lg-6 col-sm-6">
                        <div class="dashBreakdown">
                            <h1>Screens Offline <span class="badge"><abbr title="Still in the early development stages">&beta;eta</abbr></span></h1>

                            <div style="max-height: 250px; overflow: scroll;">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th style="width: 50%;">Name</th>
                                            <th style="width: 30%;">Serial No.</th>
                                            <th style="width: 20%;">Status</th>
                                        </tr>
                                    </thead>

                                    <tbody>
                                        @foreach($offline_devices as $offline_device)
                                        <tr>
                                            <td><a href="/screen/{{ $offline_device->device_id }}">{{ $offline_device->name }}</a></td>
                                            <td>{{ $offline_device->device->code }}</td>
                                            <td><span class="label label-danger">Offline</span></td>
                                        </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>


                    <div class="col-md-4 col-xs-4 col-lg-4 col-sm-4">
                    </div>
                </div>

                <hr>

                <div class="row">

                    <div class="col-md-4 col-xs-4 col-lg-4 col-sm-4">
                        
                        <div class="dashBreakdown">
                            <h1>
                                Files Breakdown
                            </h1>

                            <table class="table">
                                <thead>
                                    <tr>
                                        <th style="width: 30%;">Type</th>
                                        <th style="width: 50%;">Amount</th>
                                        <th style="width: 20%;">&nbsp;</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    <tr>
                                        <td>Images</td>
                                        <td>{{$images}}</td>
                                        <td>
                                        <a href="{{url('library?page=1&type=image')}}" class="btn btn-default">View</a>
                                        </td>
                                    </tr>

                                    <tr>
                                        <td>Videos</td>
                                        <td>{{$videos}}</td>
                                        <td>
                                        <a href="{{url('library?page=1&type=video')}}" class="btn btn-default">View</a>
                                        </td>
                                    </tr>

                            <!--         <tr>
                                        <td>Templates</td>
                                        <td>10</td>
                                        <td>
                                        <a href="#" class="btn btn-default">View</a>
                                        </td>
                                    </tr>


                                    <tr>
                                        <td>Studio</td>
                                        <td>2</td>
                                        <td>
                                        <a href="#" class="btn btn-default">View</a>
                                        </td>
                                    </tr> -->
                                </tbody>
                            </table>
                        </div>

                    </div>


                    <div class="col-md-4 col-xs-4 col-lg-4 col-sm-4">

                        
                        <div class="fileInfo">
                        <h2>{{number_format($files)}}</h2>
                        <p>Total Media Files</p>
                        </div>


                    </div>


                    <div class="col-md-4 col-xs-4 col-lg-4 col-sm-4">

                        <div class="spaceDisplay">
                            <h1>
                                {{$disk_used}} used
                            </h1>

                         <!--    <div class="progress">
                              <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 40%; background-color:#26c180; ">
                                <span class="sr-only">40% Complete (success)</span>
                              </div>
                            </div> -->

                            <a href="#" class="btn btn-primary">
                                Upgrade Storage
                            </a>
                        </div>
                    </div>
                </div>

            </div>
            

        </div>
    </div>
</div>

















<!-- End of dashboard display -->
    


    </div>



    <div class="modalContent">

        <style>

        
        .modal-header {
            background: #1c4ca1;
            border-top-left-radius: 3px;
            border-top-right-radius: 3px;
        }

        .modal-header h4{
            font-weight: bold;
            color: white;
        }

        .modal-header button span{
            color: white;
        }

        .modal-footer .btn-primary{
            background-color: #1c4ca1;
            border-color: #1c4ca1;
        }

        .modal-footer .btn-primary:focus{
            background-color: #1c4ca1;
            border-color: #1c4ca1;
        }
        

        #deleteModal .modal-body {
            text-align: center;
        }




        </style>
        
        <!-- Edit Modal -->
        <div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">
                Edit Screen Information
                </h4>
              </div>
              <div class="modal-body">

                <form>
                    <div class="form-group">
                        <label>Screen Name</label>
                        <input type="text" class="form-control" ng-model="screen.name"/>
                    </div>

                    <div class="form-group">
                        <label>Screen Serial Number</label>
                        <input type="text"  ng-model="screen.code" disabled class="form-control"/>
                    </div>

                    <div class="form-group">
                        <label>Screen Owner's Email</label>
                        <input type="email"  ng-model="screen.email" disabled class="form-control"/>
                    </div>                    
                </form>

              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary" ng-click="editScreen()">Save Changes</button>
              </div>
            </div>
          </div>
        </div>

    </div>

</div>
@endsection



