<?php
namespace App\Handlers;

use Image;

class ThumbnailHandler
{
    public function construct()
    {
    }

    public function handle($upload)
    {
        $dir = public_path().'/uploads/thumbs/'.date("Y/m/d")."/";
        if (!is_dir($dir)) {
            mkdir($dir, 0777, true);
        }
        if ($upload->type == 1) {
            $info = pathinfo($upload->location);
            $extention = $info['extension'];
            $basename = $info['basename'];

            $img = Image::make(public_path($upload->location));

            if (
            $img->resize(200, 200, function ($constraint) {
                $constraint->aspectRatio();
            })->save($dir.$basename)
            ) {
                $thumb_path = '/uploads/thumbs/'.date("Y/m/d")."/".$basename;
                $upload->thumb_location = $thumb_path;
                $upload->is_ready = 1;
                $upload->save();
            }
        } else {
            //handle video
            shell_exec('nohup php artisan thumbnail:generate '.$upload->id.' > /dev/null &');
        }
    }
}
