

app.controller('priorityCtrl', ['$scope', '$http', '$timeout', '$sce', '$filter', 'Upload', function ($scope, $http, $timeout, $sce, $filter, Upload) {
    // upload later on form submit or something similar

    $scope.selected = null;

    var pathArray = window.location.pathname.split( '/' );
    var id = pathArray[2];

    $scope.isLoading = true;

    $scope.messageSuccess = "";
    $scope.messageError = "";

    $scope.config = {
        sources: [],
        tracks: [
            {
                src: "http://www.videogular.com/assets/subs/pale-blue-dot.vtt",
                kind: "subtitles",
                srclang: "en",
                label: "English",
                default: ""
            }
        ],
        theme: "/js/bower_components/videogular-themes-default/videogular.css"
    };

    var page = 1;



    $scope.libraries = [];


    $scope.more = function(page){

        $scope.loadMore = false;

        console.log('page' + page);

        var queryString = '?page='+page;

        $scope.page = page;

        if($scope.type != null)
        {
            queryString += '&type='+$scope.type;
        }

        if($scope.query != null && $scope.query != '')
        {
            queryString += '&search='+$scope.query;
        }

        $http.get('https://'+window.location.host+'/list/library'+queryString).then(function(response){

            if(page == 1){
                $scope.libraries = [];
            }

            angular.forEach(response.data.data, function(value, key){
                value.checked = false;

                angular.forEach($scope.media, function(v, k){

                    if(value.id == v.id){
                        value.checked = true;
                    }

                });

                $scope.libraries.push(value);
            });

            console.log($scope.libraries);

            $scope.loadMore = false;

        }, function(error){

            console.log(error);

            $scope.loadMore = false;

        });

    };

    $scope.more(1);

    $scope.filter = function(type){

        $scope.type = type;
        $scope.more(1);

    };

    $scope.query = '';

    $scope.search = function(){

        $scope.messageSuccess = "";
        $scope.messageError = "";

        $scope.more(1);

    };



}]);
