<div class="modal fade" id="uploadModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" data-keyboard="false" data-backdrop="static">

    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title" id="myModalLabel">Upload Content</h4>
            </div>

            <div class="modal-body">

                <!-- start-->

                <style type="text/css">
                    #image_preview > div {
                        float: left;
                        width: 150px;
                        height: 100px;
                        margin: 4px;
                        text-align: center;
                        position: relative;
                    }
                    #image_preview > div > img {
                        max-width: 150px;
                        max-height: 100px;
                    }


                </style>

                <!-- Desktop Display -->
                <div class="toggleUpload">
                    <div class="row">
                        <div class="col-md-4 col-sm-4 col-xs-12" style="padding:2px">
                            <a class="btn btn-primary " id="image_button">Image</a>
                        </div>
                        <div class="col-md-4 col-sm-4 col-xs-12" style="padding:2px">
                            <a class="btn btn-primary " id="video_button">Video</a>
                        </div>
                        <div class="col-md-4 col-sm-4 col-xs-12" style="padding:2px">
                            <a class="btn btn-primary " id="youtube_button">Youtube Video</a>
                        </div>
                    </div>
                </div>




                <form class="form-inline" id="image_form" enctype="multipart/form-data">

                    <div class="template-border col-md-12 -col-md-offset-3">
                        <legend style="text-align: center;">Upload An Image</legend>

                        <input type="hidden" name="MAX_FILE_SIZE" value="52428800">

                        <div class="body" style="margin-top: 10px; text-align: left;">

                            <div class="alert alert-danger" style="display:none" id="image_size_err">
                                This file is too large and will cause you to exceed your storage limitations.
                                <br>
                                <a href="#" onclick="openStorageEdit(); return false;">Click here to edit your storage plan.</a>
                            </div>

                            <label><strong>Step 1:</strong> Select File</label>

                            <div class="input-append" style="width: 200px; margin: 0 auto">
                                <!-- <input style="margin: 0 auto" type="file" name="busad_file[]" id="image_file" size="25" accept="image/png,image/jpeg,application/postscript" multiple=""> -->

                                <style>

                                    .modal-body .template-border input[type="file"]{
                                        position: relative;
                                    }

                                </style>

                                <input type="file" ngf-select ng-model="picFile" name="file" accept="image/*" ngf-max-size="50MB" required ngf-model-invalid="errorFile" class="uploadFile">

                                <img ng-show="myForm.file.$valid" ngf-thumbnail="picFile" class="thumb" style="width: 300px">

                            </div>
                            <hr>
                            <div class="uploadRules">
                                <h4>
                                    Suggested Size: 1920px x 1080px at 72dpi. 
                                </h4>

                                <h6>
                                 MAX UPLOAD SIZE 50MB
                                </h6>
                            </div>


                            <div id="image_preview" style="display:none; margin: 10px;"></div>

                            <br style="clear:left">


                            <div class="well" style="padding:5px;">
                                <label id="step3label" style="margin-top: 10px; margin-bottom: 0px"><strong>Step 2:</strong> Select Screens</label>
                                <fieldset>
                                    @include('partials.screen-list')
                                </fieldset>

                            </div>
                        </div>
                        
                        <!-- <div class="container"> -->
                            <div class="row durationPeriod">
                                <div class="col-xs-6">
                                    <label id="step3_5label" for="im_start_date" style="margin-top: 10px;">Start date (optional):</label>
                                    <input datetime-picker ng-model="start_date" readonly="true" class="form-control"/>
                                </div>

                                <div class="col-xs-6">
                                    <label id="step4label" for="im_end_date" style="margin-top: 10px;">End date (optional):</label>
                                    <input datetime-picker ng-model="end_date" readonly="true" class="form-control" />
                                </div>
                            <!-- </div> -->
                        </div>



<hr>




                        <div class="modalFooter footer">

                            <div class="row">
                                <div class="col-xs-7">
                                    <h6> By clicking the "Upload Image" button, you have read &amp; accepted our <a href="#" class="terms"> Terms of Use</a>
                                    </h6>
                                </div>

                                <div class="col-xs-5">
                                <button class="btn btn-success" style="margin-top: 20px" ng-click="uploadFile(picFile)" ng-disabled="progress.start">
                                <span ng-show="!progress.start">Upload Image</span>
                                <span ng-show="progress.start">Uploading <span ng-bind="progress.value"></span></span>
                            </button>
                                </div>
                            </div>



                            <div class="progress" style="display:none" id="image_progress">
                                <div class="progress-bar progress-bar-info" style="width: 0"></div>
                            </div>


                        </div>

                    </div>
                </form>




                <form class="form-inline" id="video_form" style="display:none" enctype="multipart/form-data">

                    <div style="height:auto;" class="template-border col-md-12 -col-md-offset-3">
                        <legend style="margin-bottom: 20px; text-align: center;">Upload<span class="blue">&nbsp;Video</span>
                        </legend>
                        <input type="hidden" name="MAX_FILE_SIZE" value="104857600">

                        <div class="body" style="margin-top: 10px; text-align: left;">

                            <div class="alert alert-danger" style="display:none" id="video_size_err">
                                This file is too large and will cause you to exceed your storage limitations.
                                <br>
                                <a href="#" onclick="openStorageEdit(); return false;">Click here to edit your storage plan.</a>
                            </div>

                            <label style="margin-bottom: 0px"><strong>Step 1:</strong> Select File</label>
                            <h6 style="margin-top: 0px">limit your selection to .avi, .m4v, .mp4, .mpg, .mpeg, .wmv files. Max 200MB.</h6>

                            <div class="input-append" style="width: 200px; margin: 0 auto; ">
                                <!-- <input type="file" name="busad_file" id="video_file" size="25"> -->
                                <input type="file" ngf-select ng-model="videoFile" name="file2" accept="video/*" ngf-max-size="200MB" required ngf-model-invalid="errorFile" class="uploadFile">

                                <video ng-show="myForm.file2.$valid" ngf-thumbnail="videoFile" class="thumb" style="width: 300px"></video> 
                            </div>



                            <div class="well" style="padding:5px; margin-top:15px">
                                <label id="step3label" style="margin-top: 10px; margin-bottom: 0px"><strong>Step 2:</strong> Select Screens</label>
                                <fieldset>
                                    @include('partials.screen-list')
                                </fieldset>

                            </div>

                        </div>


                        <div class="row durationPeriod">
                            <div class="col-xs-6">
                                <label id="step3_5label" for="im_start_date" style="margin-top: 10px;">Start date (optional):</label>
                                <input datetime-picker ng-model="start_date" readonly="true" class="form-control"/>
                            </div>
                            <div class="col-xs-6">
                                <label id="step4label" for="im_end_date" style="margin-top: 10px;">End date (optional):</label>
                                <input datetime-picker ng-model="end_date" readonly="true" class="form-control" />
                            </div>
                        </div>




                        <hr>




                        <div class="modalFooter footer">
                            <div class="row">
                                <div class="col-xs-7">
                                    <h6> By clicking the "Upload Video" button, you have read &amp; accepted our <a href="#" class="terms"> Terms of Use</a>
                                    </h6>
                                </div>
                                <div class="col-xs-5">
                                    <button class="btn btn-success" style="margin-top: 20px" ng-click="uploadFile(videoFile)" ng-disabled="progress.start">
                                    <span ng-show="!progress.start">Upload Video</span>
                                    <span ng-show="progress.start">Uploading <span ng-bind="progress.value"></span></span>
                                    </button>
                                </div>
                            </div>

                            <div class="progress" style="display:none" id="video_progress">
                                <div class="progress-bar progress-bar-info" style="width: 0"></div>
                            </div>


                        </div>

                    </div>

                </form>

                <form class="form-inline" id="youtube_form" enctype="multipart/form-data" style="display:none">

                    <div style="height:auto;" class="template-border col-md-12 -col-md-offset-3">
                        <legend style="text-align: center;">Youtube<span class="blue">&nbsp;Link</span>
                        </legend>


                        <div class="body" style="margin-top: 10px; text-align: left;">

                            <label><strong>Step 1:</strong> Paste link</label>
                            <br/>

                            <div 
                            class="form-group col-sm-12" style="padding: 0px;">
                                <input 
                                style="width:100%;"
                                type="text" 
                                class="form-control" 
                                id="youtube_link"  
                                placeholder="Enter youtube url" 
                                ng-model="link.url"/>
                            </div>
                            <br/>
                            <span ng-if="youtubeLoader">Loading...</span>
                            <img ng-if="!youtubeLoader" ng-show="link.data" ngf-thumbnail="link.data.thumb" class="thumb" style="width: 300px">

                            <div id="youtube_preview" style="display:none; margin: 10px;"></div>

                            <br style="clear:left">


                            <div class="well" style="padding:5px; margin-top:15px">
                                <label id="step3label" style="margin-top: 10px; margin-bottom: 0px"><strong>Step 2:</strong> Select Screens</label>
                                <fieldset>
                                    @include('partials.screen-list')
                                </fieldset>

                            </div>
                        </div>

                        <div class="row durationPeriod">
                            <div class="col-xs-6">
                                <label id="step3_5label" for="im_start_date" style="margin-top: 10px;">Start date (optional):</label>
                                <input datetime-picker ng-model="link.start_date" readonly="true" class="form-control"/>
                            </div>
                            <div class="col-xs-6">
                                <label id="step4label" for="im_end_date" style="margin-top: 10px;">End date (optional):</label>
                                <input datetime-picker ng-model="link.end_date" readonly="true" class="form-control" />

                            </div>
                        </div>


                        <div class="clearfix"></div>

                        <label class="checkbox inline" ng-if="link.data" style="font-weight: normal">
                            <input type="checkbox" ng-model="link.mute" > <span>Mute Audio</span>
                        </label>

                        <div ng-if="link.data" range-slider="" attach-handle-values=""
                             prevent-equal-min-max="" step="<%sliderConfig.step%>"
                             min="sliderConfig.min" max="sliderConfig.max"
                             model-min="sliderConfig.userMin" model-max="sliderConfig.userMax" 
                             filter="customFilter" filter-options="<%sliderConfig.max%>" show-values="true">
                        </div>

                        <div class="modalFooter footer">

                            <div class="progress" style="display:none" id="image_progress">
                                <div class="progress-bar progress-bar-info" style="width: 0"></div>
                            </div>

                            <div class="row">
                                <div class="col-xs-5 col-xs-offset-7">
                                    <button class="btn btn-success" style="margin-top: 20px" ng-disabled="progress.start">
                                        <span ng-show="!progress.start" ng-click="saveLink()" ng-disabled="youtubeLoader">Save Video</span>
                                        <span ng-show="progress.start">Saving</span>
                                    </button>
                                </div>
                            </div>
                        </div>

                    </div>
                </form>


                <!-- end -->

            </div>
            <div class="modal-footer">
            </div>
        </div>
    </div>

</div>